
************************************************************************************************************

/*
 * (c) by Sarganta Soft Corp. Petrer City (Alicante) - ESPAÑA
 * José Manuel Carbonell
 * email : SargantanaSoft@gmail.com
 *
 * Pinta(1) PARA ENTRAR
 * Pinta(2) PARA SALIR
 * 
 * MODIFICACION PARA PINTAR LOS TEXTBOX Y LOS LABEL
 * PARA UN CORRECTO FUNCIONAMIENTO EL TEXTBOX SERA GET_nn y el LABEL GET_nn
 *
 * ------------------------------------------------------------------------
 * 
 * Repinta el TAB
 *
*/

//-------------------------------------------------------------------------------
//-------------------------------------------------------------------------------
//-------------------------------------------------------------------------------
// --> FUNCION ARTISTICAS DE MUSTAFA
//--> Rellena una area con un color 
//--> Parametros
//--> Fila, Columna, Alto,Ancho, nombre_Control, Color, Ventana
//-------------------------------------------------------------------------------
//--> Ejemplos
//--> 	Box_S(110, 120, 200, 058 ,"01", {128,126,255},Ventana ) <----------- Box
//-->   Box_S(275, 320, 250, 003 ,"14", BLUE         ,Ventana ) <----------- Line  Horizontal
//-->   Box_S(200, 480, 001, 400 ,"15", RED          ,Ventana ) <----------- Line Vertical */
// ------------------------------------------------------------------------------
Func Box_S(CurSRow, CurSCol, LastSWidth, LastSHeight , NOSm , SColorx, Ventana )

	LOCAL Sclavel01 :=   ALLTRIM("Label_") + ALLTRIM(NoSm) 
	DEFAULT SColorx :=  {128,126,255}
	DEFAULT Ventana :=""

    DEFINE label &Sclavel01       
        ROW    CurSRow
        COL    CurSCol  
        WIDTH  LastSWidth 
        HEIGHT LastSHeight 
        VALUE ""
        FONTNAME "Ms Sans Serif"
        FONTSIZE 11
        FONTBOLD .F.
        FONTITALIC .F.
        VISIBLE  .T.  
        BACKCOLOR SColorx 
        FONTCOLOR Nil
        BORDER .T. 
        CLIENTEDGE .T. 
    END LABEL
	IF !EMPTY(Ventana)
		SETPROPERTY(Ventana,Sclavel01,"Enabled",.F.)
	ENDIF
	
RETURN
// --> Modificación de SARGANTANA SOFT Corp., para el cambio del color
Func ReBox(NoSM,cColor,Ventana)
	LOCAL Sclavel01 :=   ALLTRIM("Label_") + ALLTRIM(NoSm) 
	DEFAULT cColor :=  {128,126,255}
	SETPROPERTY(Ventana,Sclavel01,"BACKCOLOR",cColor)
RETURN
************************************************************************************************************
